import { MatDialogRef } from '@angular/material/dialog';
export interface DialogData {
    icon?: string;
    title?: string;
    message?: string;
    yesTitle?: string;
    noTitle?: string;
    input?: {
        placeholder?: string;
        minlength?: number;
        maxlength?: number;
    };
}
export declare class DialogConfirmComponent {
    dialogRef: MatDialogRef<DialogConfirmComponent>;
    data: DialogData;
    value: string;
    constructor(dialogRef: MatDialogRef<DialogConfirmComponent>, data: DialogData);
    onNoClick(): void;
}
