import { GridColumn, GridExternalFilter } from '../grid-control.model';
export interface FilterInfo {
    customFilter?: any | (() => any);
    rawFilter: {
        [key: string]: any;
    };
    columns: GridColumn[];
    rawExternalFilter?: {
        [key: string]: any;
    };
    externalFilters: GridExternalFilter[];
    pageNumber: number;
    pageSize: number;
    orderBy: string;
    orderDirection: 'ASC' | 'DESC';
}
